{% set formUrl = url('manage/areas/' + model._id) %}
{% set cancelUrl = url('manage/areas') %}

{% extends "../../layout/form.njk" %}

{% block header %}
    <h1 class="title">Edit the Area</h1>
{% endblock %}

{% block form %}
    {# Name #}
    <div class="field is-horizontal">
        <div class="field-label is-normal">
            <label class="label">Name</label>
        </div>
        <div class="field-body">
            <div class="field">
                <p class="control is-expanded">
                    <input class="input" type="text" name="name" placeholder="Name" value="{{ model.name }}">
                </p>
            </div>
        </div>
    </div>

    {# Location #}
    <div class="field is-horizontal">
        <div class="field-label is-normal">
            <label class="label">Location</label>
        </div>
        <div class="field-body">
            <div class="field">
                <p class="control is-expanded">
                    <input class="input" type="text" name="location_name" placeholder="Location Name" value="{{ model.location.name }}">
                </p>
            </div>
            <div class="field">
                <p class="control is-expanded">
                    <input class="input" type="text" name="location_coords" placeholder="Coordinates" value="{{ model.location.coordinates }}">
                </p>
            </div>
        </div>
    </div>

    <hr>

    <div class="field is-horizontal">
        <div class="field-label is-normal">
            <label class="label">Seats</label>
        </div>
        <div class="field-body is-align-items-end">
            <div class="field">
                <p class="control is-expanded">
                    This area has <u>{{ model.seats.length }}</u> seats associated. Edit them by clicking on the button below.
                </p>
            </div>
        </div>
    </div>

    <div class="field is-horizontal">
        <div class="field-label is-normal"></div>
        <div class="field-body is-align-items-end">
            <div class="field">
                <a class="button is-info" href="{{ url('manage/seats/' + model._id) }}">
                    <span class="icon is-small">
                        <i class="fas fa-edit"></i>
                    </span>
                    <span>Edit Seats</span>
                </a>
            </div>
        </div>
    </div>
{% endblock %}
